Change log for vino package in Ubuntu

150 of 158 results
Published in mantic-release
Published in lunar-release
Published in kinetic-release
Published in jammy-release
Obsolete in impish-release
Obsolete in hirsute-release
Superseded in hirsute-release
Deleted in hirsute-proposed (Reason: moved to Release)
vino (3.22.0-6ubuntu3) hirsute; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25708.patch: fix possible divide-by-zero in
      server/libvncserver/rfbserver.c.
    - CVE-2020-25708

 -- <email address hidden> (Leonidas S. Barbosa)  Mon, 16 Nov 2020 11:39:26 -0300

Available diffs

Obsolete in groovy-updates
Obsolete in groovy-security
vino (3.22.0-6ubuntu2.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25708.patch: fix possible divide-by-zero in
      server/libvncserver/rfbserver.c.
    - CVE-2020-25708

 -- <email address hidden> (Leonidas S. Barbosa)  Mon, 16 Nov 2020 11:45:34 -0300
Published in focal-updates
Published in focal-security
vino (3.22.0-5ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25708.patch: fix possible divide-by-zero in
      server/libvncserver/rfbserver.c.
    - CVE-2020-25708

 -- <email address hidden> (Leonidas S. Barbosa)  Mon, 16 Nov 2020 11:50:06 -0300
Published in bionic-updates
Published in bionic-security
vino (3.22.0-3ubuntu1.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25708.patch: fix possible divide-by-zero in
      server/libvncserver/rfbserver.c.
    - CVE-2020-25708

 -- <email address hidden> (Leonidas S. Barbosa)  Mon, 16 Nov 2020 12:56:16 -0300
Published in xenial-updates
Published in xenial-security
vino (3.8.1-0ubuntu9.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2020-25708.patch: fix possible divide-by-zero in
      server/libvncserver/rfbserver.c.
    - CVE-2020-25708

 -- <email address hidden> (Leonidas S. Barbosa)  Mon, 16 Nov 2020 12:56:51 -0300
Superseded in hirsute-release
Obsolete in groovy-release
Deleted in groovy-proposed (Reason: moved to Release)
vino (3.22.0-6ubuntu2) groovy; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2020-14397.patch: add missing NULL pointer checks
      in server/libvncserver/rfbregion.c, server/libvncserver/rfbserver.c.
    - CVE-2020-14397
  * SECURITY UPDATE: out-of-bounds access via encodings
    - debian/patches/CVE-2020-1440x.patch: prevent OOB accesses in
      server/libvncserver/corre.c, server/libvncserver/hextile.c,
      server/libvncserver/rre.c.
    - CVE-2020-14402
    - CVE-2020-14403
    - CVE-2020-14404

 -- Marc Deslauriers <email address hidden>  Tue, 06 Oct 2020 14:50:02 -0400
Superseded in bionic-updates
Superseded in bionic-security
vino (3.22.0-3ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via unchecked malloc
    - debian/patches/CVE-2014-6053.patch: check malloc() return value in
      server/libvncserver/rfbserver.c.
    - CVE-2014-6053
  * SECURITY UPDATE: client cut length issue
    - debian/patches/CVE-2018-7225.patch: limit client cut text length to
      1 MB in server/libvncserver/rfbserver.c.
    - CVE-2018-7225
  * SECURITY UPDATE: information disclosure via memory leak
    - debian/patches/CVE-2019-15681.patch: don't leak stack memory to the
      remote in server/libvncserver/rfbserver.c.
    - CVE-2019-15681
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2020-14397.patch: add missing NULL pointer checks
      in server/libvncserver/rfbregion.c, server/libvncserver/rfbserver.c.
    - CVE-2020-14397
  * SECURITY UPDATE: out-of-bounds access via encodings
    - debian/patches/CVE-2020-1440x.patch: prevent OOB accesses in
      server/libvncserver/corre.c, server/libvncserver/hextile.c,
      server/libvncserver/rre.c.
    - CVE-2020-14402
    - CVE-2020-14403
    - CVE-2020-14404

 -- Marc Deslauriers <email address hidden>  Tue, 06 Oct 2020 10:42:53 -0400
Superseded in xenial-updates
Superseded in xenial-security
vino (3.8.1-0ubuntu9.3) xenial-security; urgency=medium

  * SECURITY UPDATE: DoS via unchecked malloc
    - debian/patches/CVE-2014-6053.patch: check malloc() return value in
      server/libvncserver/rfbserver.c.
    - CVE-2014-6053
  * SECURITY UPDATE: client cut length issue
    - debian/patches/CVE-2018-7225.patch: limit client cut text length to
      1 MB in server/libvncserver/rfbserver.c.
    - CVE-2018-7225
  * SECURITY UPDATE: information disclosure via memory leak
    - debian/patches/CVE-2019-15681.patch: don't leak stack memory to the
      remote in server/libvncserver/rfbserver.c.
    - CVE-2019-15681
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2020-14397.patch: add missing NULL pointer checks
      in server/libvncserver/rfbregion.c, server/libvncserver/rfbserver.c.
    - CVE-2020-14397
  * SECURITY UPDATE: out-of-bounds access via encodings
    - debian/patches/CVE-2020-1440x.patch: prevent OOB accesses in
      server/libvncserver/corre.c, server/libvncserver/hextile.c,
      server/libvncserver/rre.c.
    - CVE-2020-14402
    - CVE-2020-14403
    - CVE-2020-14404

 -- Marc Deslauriers <email address hidden>  Tue, 06 Oct 2020 10:43:50 -0400
Superseded in focal-updates
Superseded in focal-security
vino (3.22.0-5ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via unchecked malloc
    - debian/patches/CVE-2014-6053.patch: check malloc() return value in
      server/libvncserver/rfbserver.c.
    - CVE-2014-6053
  * SECURITY UPDATE: client cut length issue
    - debian/patches/CVE-2018-7225.patch: limit client cut text length to
      1 MB in server/libvncserver/rfbserver.c.
    - CVE-2018-7225
  * SECURITY UPDATE: information disclosure via memory leak
    - debian/patches/CVE-2019-15681.patch: don't leak stack memory to the
      remote in server/libvncserver/rfbserver.c.
    - CVE-2019-15681
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2020-14397.patch: add missing NULL pointer checks
      in server/libvncserver/rfbregion.c, server/libvncserver/rfbserver.c.
    - CVE-2020-14397
  * SECURITY UPDATE: out-of-bounds access via encodings
    - debian/patches/CVE-2020-1440x.patch: prevent OOB accesses in
      server/libvncserver/corre.c, server/libvncserver/hextile.c,
      server/libvncserver/rre.c.
    - CVE-2020-14402
    - CVE-2020-14403
    - CVE-2020-14404

 -- Marc Deslauriers <email address hidden>  Tue, 06 Oct 2020 10:33:38 -0400
Superseded in groovy-release
Deleted in groovy-proposed (Reason: moved to Release)
vino (3.22.0-6ubuntu1) groovy; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/control.in, debian/patches/05_use-system-miniupnpc.patch:
      + Build with system miniupnpc library

Superseded in groovy-release
Published in focal-release
Obsolete in eoan-release
Obsolete in disco-release
Deleted in disco-proposed (Reason: moved to release)
vino (3.22.0-5ubuntu2) disco; urgency=medium

  * Clean upload leftover

 -- Sebastien Bacher <email address hidden>  Thu, 24 Jan 2019 17:32:31 +0100
Superseded in disco-proposed
vino (3.22.0-5ubuntu1) disco; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/control.in, debian/patches/05_use-system-miniupnpc.patch:
      + Build with system miniupnpc library

Superseded in disco-release
Obsolete in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
vino (3.22.0-4ubuntu1) cosmic; urgency=medium

  [ Jeremy Bicha ]
  * Sync with Debian. Remaining change:
    - debian/control.in, debian/patches/05_use-system-miniupnpc.patch:
      + Build with system miniupnpc library

  [ Marco Trevisan (TreviƱo) ]
  * Import packaging to Launchpad git

Superseded in cosmic-release
Deleted in cosmic-proposed (Reason: moved to release)
vino (3.22.0-3ubuntu3) cosmic; urgency=medium

  * Update 05_use-system-miniupnpc.patch for latest miniupnpc

 -- Jeremy Bicha <email address hidden>  Wed, 09 May 2018 10:49:26 -0400
Superseded in cosmic-proposed
vino (3.22.0-3ubuntu2) cosmic; urgency=medium

  * Fix VCS fields

 -- Jeremy Bicha <email address hidden>  Wed, 09 May 2018 10:18:15 -0400

Available diffs

Superseded in cosmic-release
Published in bionic-release
Deleted in bionic-proposed (Reason: moved to release)
vino (3.22.0-3ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/control.in, debian/patches/05_use-system-miniupnpc.patch:
      + Build with system miniupnpc library

Superseded in bionic-release
Deleted in bionic-proposed (Reason: moved to release)
vino (3.22.0-2ubuntu1) bionic; urgency=medium

  * Sync with Debian (LP: #1271358). Remaining change:
    - debian/control.in, debian/patches/05_use-system-miniupnpc.patch:
      + Build with system miniupnpc library

Available diffs

Superseded in xenial-updates
Deleted in xenial-proposed (Reason: moved to -updates)
vino (3.8.1-0ubuntu9.2) xenial; urgency=medium

  * Add debian/links to symlink the hidden vino autostart .desktop to
    /usr/share/applications/ which is needed for the Desktop Sharing feature
    in GNOME's Settings app to work. Thanks Florian Apolloner for the bug
    report and suggested fix. (LP: #1607663)

 -- Jeremy Bicha <email address hidden>  Sat, 01 Oct 2016 22:57:04 -0400
Superseded in bionic-release
Obsolete in artful-release
Obsolete in zesty-release
Obsolete in yakkety-release
Deleted in yakkety-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu12) yakkety; urgency=medium

  * Add git_add_systemd_service.patch:
    - Backport patch from 3.22 to add systemd service file for compatibility
      with gnome-settings-daemon (LP: #1607663)
  * debian/control.in:
    - Build-depend on systemd

 -- Jeremy Bicha <email address hidden>  Sat, 01 Oct 2016 22:34:58 -0400
Superseded in yakkety-release
Deleted in yakkety-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu11) yakkety; urgency=medium

  * debian/control.in:
    - build-depends on libgnutls28-dev rather libgnutls-dev, the binary
      has been renamed in yakkery to follow Debian

 -- Sebastien Bacher <email address hidden>  Wed, 10 Aug 2016 15:18:41 +0200
Superseded in xenial-updates
Deleted in xenial-proposed (Reason: moved to -updates)
vino (3.8.1-0ubuntu9.1) xenial; urgency=medium

  * debian/patches/05_use-system-miniupnpc.patch:
    - use correct arguments for upnp calls, fixes vino server eating
      cpu and not responding once the corresponding option is enabled
      (lp: #1610547)

 -- Sebastien Bacher <email address hidden>  Wed, 10 Aug 2016 11:03:23 +0200
Superseded in yakkety-proposed
vino (3.8.1-0ubuntu10) yakkety; urgency=medium

  * debian/patches/05_use-system-miniupnpc.patch:
    - use correct arguments for upnp calls, fixes vino server eating
      cpu and not responding once the corresponding option is enabled
      (lp: #1610547)

 -- Sebastien Bacher <email address hidden>  Wed, 10 Aug 2016 11:03:23 +0200
Superseded in yakkety-release
Published in xenial-release
Deleted in xenial-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu9) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <email address hidden>  Wed, 17 Feb 2016 22:41:52 +0000

Available diffs

Superseded in xenial-release
Deleted in xenial-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu8) xenial; urgency=low

  * Fixes the bug with vino not launching when starting user sharing under
    GNOME due to its reliance on "enabled" gsettings key. (LP :#1518813)

 -- Robert Hoenig <email address hidden>  Sun, 10 Jan 2016 10:51:46 +0100

Available diffs

Superseded in xenial-release
Deleted in xenial-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu7) xenial; urgency=medium

  * debian/patches/git_struct_init.patch:
    - "Be more careful with memory allocation", should fix some of the
      segfault issues reports (lp: #987287)
  * debian/patches/git_small_bugfixes.patch:
    - backport some easy bugfixes
  * debian/patches/git_no_http_server.patch:
    - remove http server, it's not used and listen on interfaces for no
      reason (lp: #984093)

 -- Sebastien Bacher <email address hidden>  Fri, 20 Nov 2015 16:51:19 +0100

Available diffs

Superseded in xenial-release
Obsolete in wily-release
Deleted in wily-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu6) wily; urgency=medium

  * debian/control:
    - Switch build-depends from transitional libgcrypt11-dev to libgcrypt20-dev

 -- Robert Ancell <email address hidden>  Fri, 07 Aug 2015 12:56:30 +1200

Available diffs

Superseded in wily-release
Obsolete in vivid-release
Deleted in vivid-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu5) vivid; urgency=medium

  * No-change rebuild for the libgcrypt20 transition.
 -- Adam Conrad <email address hidden>   Fri, 27 Mar 2015 06:17:46 -0600

Available diffs

Superseded in vivid-release
Deleted in vivid-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu4) vivid; urgency=medium

  * debian/control.in: updated miniupnp requirement
 -- Sebastien Bacher <email address hidden>   Fri, 31 Oct 2014 10:52:03 +0100
Superseded in vivid-proposed
vino (3.8.1-0ubuntu3) vivid; urgency=medium

  * rebuild against new libminiupnpc10
    - 05_use-system-miniupnpc.patch add missing NULL parameter, for API change.
 -- Gianfranco Costamagna <email address hidden>   Wed, 29 Oct 2014 16:45:42 +0100

Available diffs

Superseded in vivid-release
Obsolete in utopic-release
Deleted in utopic-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu2) utopic; urgency=high

  * No change rebuild against gnutls28.
 -- Dimitri John Ledkov <email address hidden>   Fri, 08 Aug 2014 13:58:11 +0100

Available diffs

Published in precise-updates
Deleted in precise-proposed (Reason: moved to -updates)
vino (3.4.2-0ubuntu1.3.1) precise; urgency=low

  * debian/patches/lp1027086-dconf-key.patch:
    - incorrect schema setting used for authentication-methods (lp: #1027086)
 -- Ritesh Khadgaray <email address hidden>   Wed, 27 Mar 2013 17:43:16 +0530
Superseded in utopic-release
Published in trusty-release
Deleted in trusty-proposed (Reason: moved to release)
vino (3.8.1-0ubuntu1) trusty; urgency=low

  * New upstream version, drop changes included in the new version
  * debian/patches/revert_use_prompt_notification.patch:
    - revert upstream change to use a notification with actions to accept or
      deny clients, since notify-osd doesn't support those, we keep using
      the old standalone dialog instead
  * debian/patches/git_tls_read.patch:
    - "Fix reading of TLS data to account for cached data"
 -- Sebastien Bacher <email address hidden>   Mon, 18 Nov 2013 15:53:41 +0100

Available diffs

Superseded in precise-updates
Published in precise-security
vino (3.4.2-0ubuntu1.3) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via malformed data
    - debian/patches/CVE-2013-5745.patch: close clients in a deferred state
      in server/libvncserver/rfbserver.c.
    - CVE-2013-5745
 -- Marc Deslauriers <email address hidden>   Thu, 26 Sep 2013 22:41:07 -0400
Obsolete in raring-updates
Obsolete in raring-security
vino (3.6.2-0ubuntu4.1) raring-security; urgency=low

  * SECURITY UPDATE: denial of service via malformed data
    - debian/patches/CVE-2013-5745.patch: close clients in a deferred state
      in server/libvncserver/rfbserver.c.
    - CVE-2013-5745
 -- Marc Deslauriers <email address hidden>   Thu, 26 Sep 2013 22:39:28 -0400
Obsolete in quantal-updates
Obsolete in quantal-security
vino (3.6.0-0ubuntu1.2) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service via malformed data
    - debian/patches/CVE-2013-5745.patch: close clients in a deferred state
      in server/libvncserver/rfbserver.c.
    - CVE-2013-5745
 -- Marc Deslauriers <email address hidden>   Thu, 26 Sep 2013 22:40:21 -0400
Superseded in trusty-release
Obsolete in saucy-release
Deleted in saucy-proposed (Reason: moved to release)
vino (3.6.2-0ubuntu5) saucy; urgency=low

  * SECURITY UPDATE: denial of service via malformed data
    - debian/patches/CVE-2013-5745.patch: close clients in a deferred state
      in server/libvncserver/rfbserver.c.
    - CVE-2013-5745
 -- Marc Deslauriers <email address hidden>   Thu, 26 Sep 2013 22:37:17 -0400

Available diffs

Superseded in saucy-release
Obsolete in raring-release
Deleted in raring-proposed (Reason: moved to release)
vino (3.6.2-0ubuntu4) raring; urgency=low

  * debian/patches/git_auth_methods_setting.patch:
    - updated with the upstream solution (lp: #1027086)
 -- Ritesh Khadgaray <email address hidden>   Wed, 27 Mar 2013 17:58:47 +0530

Available diffs

Superseded in raring-release
Deleted in raring-proposed (Reason: moved to release)
vino (3.6.2-0ubuntu3) raring; urgency=low

  * debian/patches/git_auth_methods_setting.patch:
    - incorrect schema setting used for authentication-methods in
      vino server ( lp: #1027086)
 -- Ritesh Khadgaray <email address hidden>   Wed, 20 Mar 2013 22:12:06 +0530

Available diffs

Superseded in raring-release
Deleted in raring-proposed (Reason: moved to release)
vino (3.6.2-0ubuntu2) raring; urgency=low

  * SECURITY UPDATE: clipboard leak to unauthenticated clients
    - debian/patches/CVE-2012-4429.patch: make sure client is authenticated
      in server/libvncserver/rfbserver.c.
    - CVE-2012-4429
 -- Marc Deslauriers <email address hidden>   Fri, 18 Jan 2013 11:23:12 -0500

Available diffs

Superseded in quantal-updates
Superseded in quantal-security
vino (3.6.0-0ubuntu1.1) quantal-security; urgency=low

  * SECURITY UPDATE: clipboard leak to unauthenticated clients
    - debian/patches/CVE-2012-4429.patch: make sure client is authenticated
      in server/libvncserver/rfbserver.c.
    - CVE-2012-4429
 -- Marc Deslauriers <email address hidden>   Fri, 18 Jan 2013 11:25:40 -0500
Obsolete in lucid-updates
Obsolete in lucid-security
vino (2.28.2-0ubuntu2.2) lucid-security; urgency=low

  * SECURITY UPDATE: clipboard leak to unauthenticated clients
    - debian/patches/05_CVE-2012-4429.patch: make sure client is
      authenticated in server/libvncserver/rfbserver.c.
    - CVE-2012-4429
 -- Marc Deslauriers <email address hidden>   Fri, 18 Jan 2013 11:33:32 -0500
Obsolete in oneiric-updates
Obsolete in oneiric-security
vino (3.2.0-0ubuntu1.2) oneiric-security; urgency=low

  * SECURITY UPDATE: clipboard leak to unauthenticated clients
    - debian/patches/CVE-2012-4429.patch: make sure client is authenticated
      in server/libvncserver/rfbserver.c.
    - CVE-2012-4429
 -- Marc Deslauriers <email address hidden>   Fri, 18 Jan 2013 11:27:36 -0500
Superseded in precise-updates
Superseded in precise-security
vino (3.4.2-0ubuntu1.2) precise-security; urgency=low

  * SECURITY UPDATE: clipboard leak to unauthenticated clients
    - debian/patches/CVE-2012-4429.patch: make sure client is authenticated
      in server/libvncserver/rfbserver.c.
    - CVE-2012-4429
 -- Marc Deslauriers <email address hidden>   Fri, 18 Jan 2013 11:26:51 -0500
Superseded in raring-release
Deleted in raring-proposed (Reason: moved to release)
vino (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release
 -- Robert Ancell <email address hidden>   Tue, 13 Nov 2012 13:54:40 +1300

Available diffs

Superseded in raring-release
Deleted in raring-proposed (Reason: moved to release)
vino (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release (LP: #1070618).
  * debian/rules:
    - Explicitly build --with-secret
 -- Jeremy Bicha <email address hidden>   Sun, 04 Nov 2012 08:44:05 -0500

Available diffs

Superseded in raring-release
Obsolete in quantal-release
vino (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release
 -- Robert Ancell <email address hidden>   Tue, 25 Sep 2012 10:44:42 +1200

Available diffs

Superseded in quantal-release
vino (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
 -- Robert Ancell <email address hidden>   Tue, 18 Sep 2012 16:59:23 +1200

Available diffs

Superseded in quantal-release
vino (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release
 -- Robert Ancell <email address hidden>   Tue, 21 Aug 2012 17:07:41 +1200

Available diffs

Superseded in precise-updates
Deleted in precise-proposed (Reason: moved to -updates)
vino (3.4.2-0ubuntu1.1) precise-proposed; urgency=low

  * debian/patches/disable_webservices_check.patch: really disable the
    connectivity check using webservices: the resulting message update was
    already disabled upstream, but vino was still silently sending the requests.
    (LP: #608701)
 -- Mathieu Trudel-Lapierre <email address hidden>   Thu, 21 Jun 2012 12:00:06 -0400
Superseded in quantal-release
vino (3.5.2-0ubuntu2) quantal; urgency=low

  * debian/patches/disable_webservices_check.patch: really disable the
    connectivity check using webservices: the resulting message update was
    already disabled upstream, but vino was still silently sending the requests.
    (LP: #608701)
 -- Mathieu Trudel-Lapierre <email address hidden>   Thu, 21 Jun 2012 11:40:29 -0400

Available diffs

150 of 158 results